net.i2p.router.web

## Class SummaryBarRenderer

- java.lang.Object
- - net.i2p.router.web.SummaryBarRenderer

-     public class SummaryBarRenderer
      extends Object

  Refactored from summarynoframe.jsp to save ~100KB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummaryBarRenderer(RouterContext context, SummaryHelper helper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderSummaryHTML(Writer out)` Note - ensure all links in here are absolute, as the summary bar may be displayed on lower-level directory errors.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SummaryBarRenderer

          public SummaryBarRenderer(RouterContext context,
                            SummaryHelper helper)

  - ### Method Detail

    - #### renderSummaryHTML

          public void renderSummaryHTML(Writer out)
                                 throws IOException

      Note - ensure all links in here are absolute, as the summary bar may be displayed on lower-level directory errors.
      Throws:
        `IOException`